package com.tomastc.anickd.lib;

public class ProductionScheduleOuter {

    private String id;
    private String pc_no;
    private String part_no;
    private String part_color;
    private String control_no;

    private String model_no;
    private String maker_code;
    private String line_no;

    private String case_no;
    private String case_packing_seq;
    private String item_no;
    private String packing_no;
    private String c_no;
    private String cont_no;
    private String case_code;
    private String set_part_seq;

    private String status;
    private String stage;

    private String staging_plan_date;
    private String staging_plan_time;
    private String staging_act_dt;
    private String staging_plan_qty;
    private String staging_act_qty;
    private String staging_step1;
    private String staging_step2;
    private String staging_step3;
    private String staging_pending;
    private String staging_error;
    private String staging_user_id;
    private String inner_plan_date;
    private String inner_plan_time;
    private String inner_act_dt;
    private String inner_plan_qty;
    private String inner_act_qty;
    private String outer_plan_date;
    private String outer_plan_time;
    private String outer_start_dt;
    private String outer_act_dt;
    private String outer_plan_qty;
    private String outer_act_qty;
    private String outer_step1;
    private String outer_step2;
    private String outer_step3;
    private String outer_step4;
    private String outer_step5;
    private String outer_pending;
    private String outer_stopcase;
    private String outer_error;
    private String outer_user_id;
    private String outer_subl_cf_user_id;
    private String outer_lead_cf_user_id;
    private String vanning_plan_date;
    private String vanning_plan_time;

    private String packing_qty_in_case;
    private String bag_qty_in_packing;
    private String parts_qty_in_bag;
    private String hatc_ref_id;
    private String linecontrol_ref_id;

    private String create_dt;
    private String create_user_id;
    private String update_dt;
    private String update_user_id;

    public ProductionScheduleOuter(String part_no, String item_no, String case_packing_seq, String packing_qty_in_case) {
        this.part_no = part_no;
        this.item_no = item_no;
        this.case_packing_seq = case_packing_seq;
        this.packing_qty_in_case = packing_qty_in_case;
    }

    public String getModel_no() {
        return model_no;
    }

    public void setModel_no(String model_no) {
        this.model_no = model_no;
    }

    public String getMaker_code() {
        return maker_code;
    }

    public void setMaker_code(String maker_code) {
        this.maker_code = maker_code;
    }

    public String getLine_no() {
        return line_no;
    }

    public void setLine_no(String line_no) {
        this.line_no = line_no;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getCase_no() {
        return case_no;
    }

    public void setCase_no(String case_no) {
        this.case_no = case_no;
    }

    public String getC_no() {
        return c_no;
    }

    public void setC_no(String c_no) {
        this.c_no = c_no;
    }

    public String getCont_no() {
        return cont_no;
    }

    public void setCont_no(String cont_no) {
        this.cont_no = cont_no;
    }

    public String getSet_part_seq() {
        return set_part_seq;
    }

    public void setSet_part_seq(String set_part_seq) {
        this.set_part_seq = set_part_seq;
    }

    public String getBag_qty_in_packing() {
        return bag_qty_in_packing;
    }

    public void setBag_qty_in_packing(String bag_qty_in_packing) {
        this.bag_qty_in_packing = bag_qty_in_packing;
    }

    public String getLinecontrol_ref_id() {
        return linecontrol_ref_id;
    }

    public void setLinecontrol_ref_id(String linecontrol_ref_id) {
        this.linecontrol_ref_id = linecontrol_ref_id;
    }

    public String getParts_qty_in_bag() {
        return parts_qty_in_bag;
    }

    public void setParts_qty_in_bag(String parts_qty_in_bag) {
        this.parts_qty_in_bag = parts_qty_in_bag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPc_no() {
        return pc_no;
    }

    public void setPc_no(String pc_no) {
        this.pc_no = pc_no;
    }

    public String getPart_no() {
        return part_no;
    }

    public void setPart_no(String part_no) {
        this.part_no = part_no;
    }

    public String getPart_color() {
        return part_color;
    }

    public void setPart_color(String part_color) {
        this.part_color = part_color;
    }

    public String getControl_no() {
        return control_no;
    }

    public void setControl_no(String control_no) {
        this.control_no = control_no;
    }

    public String getStaging_plan_date() {
        return staging_plan_date;
    }

    public void setStaging_plan_date(String staging_plan_date) {
        this.staging_plan_date = staging_plan_date;
    }

    public String getStaging_plan_time() {
        return staging_plan_time;
    }

    public void setStaging_plan_time(String staging_plan_time) {
        this.staging_plan_time = staging_plan_time;
    }

    public String getStaging_act_dt() {
        return staging_act_dt;
    }

    public void setStaging_act_dt(String staging_act_dt) {
        this.staging_act_dt = staging_act_dt;
    }

    public String getStaging_plan_qty() {
        return staging_plan_qty;
    }

    public void setStaging_plan_qty(String staging_plan_qty) {
        this.staging_plan_qty = staging_plan_qty;
    }

    public String getStaging_act_qty() {
        return staging_act_qty;
    }

    public void setStaging_act_qty(String staging_act_qty) {
        this.staging_act_qty = staging_act_qty;
    }

    public String getStaging_step1() {
        return staging_step1;
    }

    public void setStaging_step1(String staging_step1) {
        this.staging_step1 = staging_step1;
    }

    public String getStaging_step2() {
        return staging_step2;
    }

    public void setStaging_step2(String staging_step2) {
        this.staging_step2 = staging_step2;
    }

    public String getStaging_step3() {
        return staging_step3;
    }

    public void setStaging_step3(String staging_step3) {
        this.staging_step3 = staging_step3;
    }

    public String getStaging_pending() {
        return staging_pending;
    }

    public void setStaging_pending(String staging_pending) {
        this.staging_pending = staging_pending;
    }

    public String getStaging_error() {
        return staging_error;
    }

    public void setStaging_error(String staging_error) {
        this.staging_error = staging_error;
    }

    public String getStaging_user_id() {
        return staging_user_id;
    }

    public void setStaging_user_id(String staging_user_id) {
        this.staging_user_id = staging_user_id;
    }

    public String getInner_plan_date() {
        return inner_plan_date;
    }

    public void setInner_plan_date(String inner_plan_date) {
        this.inner_plan_date = inner_plan_date;
    }

    public String getInner_plan_time() {
        return inner_plan_time;
    }

    public void setInner_plan_time(String inner_plan_time) {
        this.inner_plan_time = inner_plan_time;
    }

    public String getInner_act_dt() {
        return inner_act_dt;
    }

    public void setInner_act_dt(String inner_act_dt) {
        this.inner_act_dt = inner_act_dt;
    }

    public String getInner_plan_qty() {
        return inner_plan_qty;
    }

    public void setInner_plan_qty(String inner_plan_qty) {
        this.inner_plan_qty = inner_plan_qty;
    }

    public String getInner_act_qty() {
        return inner_act_qty;
    }

    public void setInner_act_qty(String inner_act_qty) {
        this.inner_act_qty = inner_act_qty;
    }

    public String getOuter_plan_date() {
        return outer_plan_date;
    }

    public void setOuter_plan_date(String outer_plan_date) {
        this.outer_plan_date = outer_plan_date;
    }

    public String getOuter_plan_time() {
        return outer_plan_time;
    }

    public void setOuter_plan_time(String outer_plan_time) {
        this.outer_plan_time = outer_plan_time;
    }

    public String getOuter_start_dt() {
        return outer_start_dt;
    }

    public void setOuter_start_dt(String outer_start_dt) {
        this.outer_start_dt = outer_start_dt;
    }

    public String getOuter_act_dt() {
        return outer_act_dt;
    }

    public void setOuter_act_dt(String outer_act_dt) {
        this.outer_act_dt = outer_act_dt;
    }

    public String getOuter_plan_qty() {
        return outer_plan_qty;
    }

    public void setOuter_plan_qty(String outer_plan_qty) {
        this.outer_plan_qty = outer_plan_qty;
    }

    public String getOuter_act_qty() {
        return outer_act_qty;
    }

    public void setOuter_act_qty(String outer_act_qty) {
        this.outer_act_qty = outer_act_qty;
    }

    public String getOuter_step1() {
        return outer_step1;
    }

    public void setOuter_step1(String outer_step1) {
        this.outer_step1 = outer_step1;
    }

    public String getOuter_step2() {
        return outer_step2;
    }

    public void setOuter_step2(String outer_step2) {
        this.outer_step2 = outer_step2;
    }

    public String getOuter_step3() {
        return outer_step3;
    }

    public void setOuter_step3(String outer_step3) {
        this.outer_step3 = outer_step3;
    }

    public String getOuter_step4() {
        return outer_step4;
    }

    public void setOuter_step4(String outer_step4) {
        this.outer_step4 = outer_step4;
    }

    public String getOuter_step5() {
        return outer_step5;
    }

    public void setOuter_step5(String outer_step5) {
        this.outer_step5 = outer_step5;
    }

    public String getOuter_pending() {
        return outer_pending;
    }

    public void setOuter_pending(String outer_pending) {
        this.outer_pending = outer_pending;
    }

    public String getOuter_stopcase() {
        return outer_stopcase;
    }

    public void setOuter_stopcase(String outer_stopcase) {
        this.outer_stopcase = outer_stopcase;
    }

    public String getOuter_error() {
        return outer_error;
    }

    public void setOuter_error(String outer_error) {
        this.outer_error = outer_error;
    }

    public String getOuter_user_id() {
        return outer_user_id;
    }

    public void setOuter_user_id(String outer_user_id) {
        this.outer_user_id = outer_user_id;
    }

    public String getOuter_subl_cf_user_id() {
        return outer_subl_cf_user_id;
    }

    public void setOuter_subl_cf_user_id(String outer_subl_cf_user_id) {
        this.outer_subl_cf_user_id = outer_subl_cf_user_id;
    }

    public String getOuter_lead_cf_user_id() {
        return outer_lead_cf_user_id;
    }

    public void setOuter_lead_cf_user_id(String outer_lead_cf_user_id) {
        this.outer_lead_cf_user_id = outer_lead_cf_user_id;
    }

    public String getVanning_plan_date() {
        return vanning_plan_date;
    }

    public void setVanning_plan_date(String vanning_plan_date) {
        this.vanning_plan_date = vanning_plan_date;
    }

    public String getVanning_plan_time() {
        return vanning_plan_time;
    }

    public void setVanning_plan_time(String vanning_plan_time) {
        this.vanning_plan_time = vanning_plan_time;
    }

    public String getItem_no() {
        return item_no;
    }

    public void setItem_no(String item_no) {
        this.item_no = item_no;
    }

    public String getCase_code() {
        return case_code;
    }

    public void setCase_code(String case_code) {
        this.case_code = case_code;
    }

    public String getPacking_no() {
        return packing_no;
    }

    public void setPacking_no(String packing_no) {
        this.packing_no = packing_no;
    }

    public String getCase_packing_seq() {
        return case_packing_seq;
    }

    public void setCase_packing_seq(String case_packing_seq) {
        this.case_packing_seq = case_packing_seq;
    }

    public String getPacking_qty_in_case() {
        return packing_qty_in_case;
    }

    public void setPacking_qty_in_case(String packing_qty_in_case) {
        this.packing_qty_in_case = packing_qty_in_case;
    }

    public String getParts_qty_in_packing() {
        return bag_qty_in_packing;
    }

    public void setParts_qty_in_packing(String bag_qty_in_packing) {
        this.bag_qty_in_packing = bag_qty_in_packing;
    }

    public String getHatc_ref_id() {
        return hatc_ref_id;
    }

    public void setHatc_ref_id(String hatc_ref_id) {
        this.hatc_ref_id = hatc_ref_id;
    }

    public String getCreate_dt() {
        return create_dt;
    }

    public void setCreate_dt(String create_dt) {
        this.create_dt = create_dt;
    }

    public String getCreate_user_id() {
        return create_user_id;
    }

    public void setCreate_user_id(String create_user_id) {
        this.create_user_id = create_user_id;
    }

    public String getUpdate_dt() {
        return update_dt;
    }

    public void setUpdate_dt(String update_dt) {
        this.update_dt = update_dt;
    }

    public String getUpdate_user_id() {
        return update_user_id;
    }

    public void setUpdate_user_id(String update_user_id) {
        this.update_user_id = update_user_id;
    }

}
